import 'package:flutter/material.dart';
import 'package:kursach/domain/models/card_data.dart';

class DetailsPage extends StatelessWidget {
  final CardData data;

  const DetailsPage({super.key, required this.data});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Artist ${data.name}'),
      ),
      body: SingleChildScrollView(
        padding: const EdgeInsets.all(30),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            Center(
              child: Image.network(
                data.image,
                width: 250,
                height: 250,
              ),
            ),
            const SizedBox(height: 20),
            Text(
              data.name,
              style: const TextStyle(fontSize: 18),
            ),
            const SizedBox(height: 20),
            Text(
              "Year Streams: ${data.year_streams}",
              style: const TextStyle(fontSize: 25, color: Colors.orange),
            ),
          ],
        ),
      ),
    );
  }
}
